Принципа́л (принципал безпеки, учасник безпеки, ) — сутність комп’ютерної безпеки, яка може бути автентифікована комп’ютером або мережею. В літературі по Java і Microsoft вживається термін security principal (принципал безпеки або учасник безпеки)."What Are Security Principals?" technet.microsoft.com, 28/03/2003. Принципалами безпеки можуть бути люди, комп’ютери, служби (сервіси), обчислювальні сутності такі як процеси і ниті або будь-яка їх група. Їх необхідно ідентифікувати і автентифікувати перед тим, як надати їм права і привілеї на ресурси в мережі. Принципал безпеки зазвичай має асоційований з ним ідентифікатор (такий як ідентифікатор безпеки у Windows), який дозволяє посилатись на нього при ідентифікації або присвоєнні властивостей і наданні дозволів.

Примітки

Посилання RFC 2744 - Generic Security Service API Version 2. RFC 5397 - WebDAV Current Principal Extension. RFC 4121 - The Kerberos Version 5 Generic Security Service Application Program Interface (GSS-API) Mechanism: Version 2.